#2885 closed defect (fixed)

Fix rtems_rate_monotonic_postponed_job_count() prototype

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

rtems_rate_monotonic_postponed_job_count() should return an RTEMS status code. It should be renamed to rtems_rate_monotonic_get_postponed_job_count() or rtems_rate_monotonic_get_postponed_jobs() (similar to rtems_rate_monotonic_get_statistics()).

Change History (9)

comment:1 Changed on Jan 24, 2017 at 2:13:27 PM by Sebastian Huber

There is no test case for this function.

comment:2 Changed on Jan 24, 2017 at 3:44:34 PM by Kuan-Hsun Chen

I think we should rename it as rtems_rate_monotonic_get_postponed_job_count(uint32_t *count), though the name is really long.
The RTEMS status codes could be:
RTEMS_SUCCESSFUL - count returned successfully
RTEMS_INVALID_ID - invalid rate monotonic period id
RTEMS_INVALID_ADDRESS - invalid address of count

comment:3 Changed on Jan 25, 2017 at 6:28:28 AM by Sebastian Huber

My preferred option: just add this to rtems_rate_monotonic_period_status and return it via rtems_rate_monotonic_get_status().

Last edited on Jan 25, 2017 at 6:29:06 AM by Sebastian Huber (previous) (diff)

comment:4 Changed on Jan 25, 2017 at 8:28:16 AM by Kuan-Hsun Chen

I can do this.
I will add the count into the structure of rtems_rate_monotonic_period_status, remove rtems_rate_monotonic_get_postponed_job_count(), and extend rtems_rate_monotonic_get_status().

comment:5 Changed on Jan 25, 2017 at 1:19:19 PM by Kuan-Hsun Chen

Sp69 is also planned to be updated, which is the test for rtems_rate_monotonic_get_status()

comment:6 Changed on Jan 30, 2017 at 6:53:30 AM by Kuan-Hsun Chen <c0066c@…>

In 0794197f729f5ee9551dc7b2e14867f394cbc327/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:7 Changed on Jan 30, 2017 at 7:06:48 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:8 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.